set_property IOSTANDARD LVCMOS18 [get_ports {fp_o[7]}]
set_property PACKAGE_PIN E1 [get_ports {fp_o[7]}] ; # Was B1
set_property IOSTANDARD LVCMOS18 [get_ports {fp_o[6]}]
set_property PACKAGE_PIN E2 [get_ports {fp_o[6]}] ; # Was C1
set_property IOSTANDARD LVCMOS18 [get_ports {fp_o[5]}]
set_property PACKAGE_PIN C6 [get_ports {fp_o[5]}] ; # Was F6
set_property IOSTANDARD LVCMOS18 [get_ports {fp_o[4]}]
set_property PACKAGE_PIN D1 [get_ports {fp_o[4]}] ; # Was F7
set_property IOSTANDARD LVCMOS18 [get_ports {fp_o[3]}]
set_property PACKAGE_PIN F6 [get_ports {fp_o[3]}] ; # Was C6
set_property IOSTANDARD LVCMOS18 [get_ports {fp_o[2]}]
set_property PACKAGE_PIN F7 [get_ports {fp_o[2]}] ; # Was D1
set_property IOSTANDARD LVCMOS18 [get_ports {fp_o[1]}]
set_property PACKAGE_PIN B1 [get_ports {fp_o[1]}] ; # Was E1
set_property IOSTANDARD LVCMOS18 [get_ports {fp_o[0]}]
set_property PACKAGE_PIN C1 [get_ports {fp_o[0]}] ; # Was E2

set_property IOSTANDARD LVCMOS18 [get_ports {fp_i[7]}]
set_property PACKAGE_PIN A1 [get_ports {fp_i[7]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_i[6]}]
set_property PACKAGE_PIN A2 [get_ports {fp_i[6]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_i[5]}]
set_property PACKAGE_PIN A3 [get_ports {fp_i[5]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_i[4]}]
set_property PACKAGE_PIN B3 [get_ports {fp_i[4]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_i[3]}]
set_property PACKAGE_PIN E9 [get_ports {fp_i[3]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_i[2]}]
set_property PACKAGE_PIN A5 [get_ports {fp_i[2]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_i[1]}]
set_property PACKAGE_PIN A6 [get_ports {fp_i[1]}]
set_property IOSTANDARD LVCMOS18 [get_ports {fp_i[0]}]
set_property PACKAGE_PIN A7 [get_ports {fp_i[0]}]

set_property IOSTANDARD LVCMOS18 [get_ports wr_abscal_o]
set_property PACKAGE_PIN A4 [get_ports wr_abscal_o]
set_property IOSTANDARD LVCMOS18 [get_ports eeprom_scl_b]
set_property PACKAGE_PIN A8 [get_ports eeprom_scl_b]
set_property IOSTANDARD LVCMOS18 [get_ports eeprom_sda_b]
set_property PACKAGE_PIN A9 [get_ports eeprom_sda_b]
set_property IOSTANDARD LVCMOS33 [get_ports wr_led_act_o]
set_property PACKAGE_PIN A13 [get_ports wr_led_act_o]
set_property IOSTANDARD LVCMOS33 [get_ports wr_led_link_o]
set_property PACKAGE_PIN A14 [get_ports wr_led_link_o]
set_property IOSTANDARD LVCMOS33 [get_ports uart_txd_o]
set_property PACKAGE_PIN AA10 [get_ports uart_txd_o]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[26]}]
set_property PACKAGE_PIN AB2 [get_ports {pp_o[26]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[27]}]
set_property PACKAGE_PIN AB3 [get_ports {pp_o[27]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[24]}]
set_property PACKAGE_PIN AB4 [get_ports {pp_o[24]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[18]}]
set_property PACKAGE_PIN AB5 [get_ports {pp_o[18]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[19]}]
set_property PACKAGE_PIN AB6 [get_ports {pp_o[19]}]
set_property IOSTANDARD LVCMOS18 [get_ports spi_helper_cs_n_o]
set_property PACKAGE_PIN AB8 [get_ports spi_helper_cs_n_o]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[28]}]
set_property PACKAGE_PIN AC2 [get_ports {pp_o[28]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[29]}]
set_property PACKAGE_PIN AC3 [get_ports {pp_o[29]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[31]}]
set_property PACKAGE_PIN AC4 [get_ports {pp_o[31]}]
set_property IOSTANDARD LVCMOS18 [get_ports spi_main_cs_n_o]
set_property PACKAGE_PIN AC9 [get_ports spi_main_cs_n_o]
set_property IOSTANDARD LVCMOS33 [get_ports plldac_din_o]
set_property PACKAGE_PIN AC12 [get_ports plldac_din_o]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[30]}]
set_property PACKAGE_PIN AD2 [get_ports {pp_o[30]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[16]}]
set_property PACKAGE_PIN AD4 [get_ports {pp_o[16]}]
set_property IOSTANDARD LVCMOS18 [get_ports spi_sck_o]
set_property PACKAGE_PIN AD9 [get_ports spi_sck_o]
set_property IOSTANDARD LVCMOS33 [get_ports plldac_sync_n_o]
set_property PACKAGE_PIN AD12 [get_ports plldac_sync_n_o]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[17]}]
set_property PACKAGE_PIN AE2 [get_ports {pp_o[17]}]
set_property IOSTANDARD LVDS [get_ports gth_bclk_b2_p_o]
set_property PACKAGE_PIN AE5 [get_ports gth_bclk_b2_p_o]
set_property IOSTANDARD LVCMOS18 [get_ports spi_mosi_o]
set_property PACKAGE_PIN AE8 [get_ports spi_mosi_o]
set_property IOSTANDARD LVCMOS18 [get_ports spi_miso_i]
set_property PACKAGE_PIN AE9 [get_ports spi_miso_i]
set_property IOSTANDARD LVDS [get_ports gth_bclk_b2_n_o]
set_property PACKAGE_PIN AF5 [get_ports gth_bclk_b2_n_o]
set_property IOSTANDARD LVDS [get_ports gth_bclk_b1_n_o]
set_property PACKAGE_PIN AF6 [get_ports gth_bclk_b1_n_o]
set_property IOSTANDARD LVDS [get_ports gth_bclk_b1_p_o]
set_property PACKAGE_PIN AF7 [get_ports gth_bclk_b1_p_o]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[20]}]
set_property PACKAGE_PIN AG3 [get_ports {pp_o[20]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[21]}]
set_property PACKAGE_PIN AG4 [get_ports {pp_o[21]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[23]}]
set_property PACKAGE_PIN AG5 [get_ports {pp_o[23]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[22]}]
set_property PACKAGE_PIN AH6 [get_ports {pp_o[22]}]
set_property IOSTANDARD LVCMOS33 [get_ports pp_oe_n_o]
set_property PACKAGE_PIN AH11 [get_ports pp_oe_n_o]
set_property IOSTANDARD LVCMOS33 [get_ports plldac_sclk_o]
set_property PACKAGE_PIN AH12 [get_ports plldac_sclk_o]
set_property IOSTANDARD LVCMOS18 [get_ports wr_pps_o]
set_property PACKAGE_PIN B4 [get_ports wr_pps_o]
set_property IOSTANDARD LVDS [get_ports wr_clk_main_125m_n_i]
set_property PACKAGE_PIN C2 [get_ports wr_clk_main_125m_n_i]
set_property IOSTANDARD LVDS [get_ports wr_clk_main_125m_p_i]
set_property PACKAGE_PIN C3 [get_ports wr_clk_main_125m_p_i]
set_property IOSTANDARD LVDS [get_ports fpga_pl_clksys_n_i]
set_property PACKAGE_PIN C4 [get_ports fpga_pl_clksys_n_i]
set_property IOSTANDARD LVDS [get_ports fpga_pl_clksys_p_i]
set_property PACKAGE_PIN D4 [get_ports fpga_pl_clksys_p_i]
set_property IOSTANDARD LVDS [get_ports wr_clk_helper_125m_n_i]
set_property PACKAGE_PIN D5 [get_ports wr_clk_helper_125m_n_i]
set_property IOSTANDARD LVDS [get_ports wr_clk_aux_n_i]
set_property PACKAGE_PIN D6 [get_ports wr_clk_aux_n_i]
set_property IOSTANDARD LVDS [get_ports wr_clk_aux_p_i]
set_property PACKAGE_PIN D7 [get_ports wr_clk_aux_p_i]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_oe_n_o[0]}]
set_property PACKAGE_PIN D10 [get_ports {fp_oe_n_o[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_term_en_o[7]}]
set_property PACKAGE_PIN D14 [get_ports {fp_term_en_o[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_term_en_o[3]}]
set_property PACKAGE_PIN D15 [get_ports {fp_term_en_o[3]}]
set_property IOSTANDARD LVDS [get_ports wr_clk_helper_125m_p_i]
set_property PACKAGE_PIN E5 [get_ports wr_clk_helper_125m_p_i]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_oe_n_o[2]}]
set_property PACKAGE_PIN E10 [get_ports {fp_oe_n_o[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_oe_n_o[1]}]
set_property PACKAGE_PIN E12 [get_ports {fp_oe_n_o[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_term_en_o[5]}]
set_property PACKAGE_PIN E13 [get_ports {fp_term_en_o[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_term_en_o[6]}]
set_property PACKAGE_PIN E14 [get_ports {fp_term_en_o[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_term_en_o[4]}]
set_property PACKAGE_PIN E15 [get_ports {fp_term_en_o[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_oe_n_o[7]}]
set_property PACKAGE_PIN F10 [get_ports {fp_oe_n_o[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_oe_n_o[5]}]
set_property PACKAGE_PIN F11 [get_ports {fp_oe_n_o[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_oe_n_o[3]}]
set_property PACKAGE_PIN F12 [get_ports {fp_oe_n_o[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_term_en_o[1]}]
set_property PACKAGE_PIN F13 [get_ports {fp_term_en_o[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_term_en_o[0]}]
set_property PACKAGE_PIN F15 [get_ports {fp_term_en_o[0]}]
set_property PACKAGE_PIN F23 [get_ports pcie_clk_p_i]
set_property PACKAGE_PIN F24 [get_ports pcie_clk_n_i]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_oe_n_o[4]}]
set_property PACKAGE_PIN G10 [get_ports {fp_oe_n_o[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_oe_n_o[6]}]
set_property PACKAGE_PIN G11 [get_ports {fp_oe_n_o[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_term_en_o[2]}]
set_property PACKAGE_PIN G13 [get_ports {fp_term_en_o[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports fp_rsvd_i]
set_property PACKAGE_PIN G14 [get_ports fp_rsvd_i]
set_property IOSTANDARD LVCMOS33 [get_ports {pp_id_i[1]}]
set_property PACKAGE_PIN G15 [get_ports {pp_id_i[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports sfp0_los_i]
set_property PACKAGE_PIN H11 [get_ports sfp0_los_i]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_id_i[1]}]
set_property PACKAGE_PIN H13 [get_ports {fp_id_i[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {fp_id_i[0]}]
set_property PACKAGE_PIN H14 [get_ports {fp_id_i[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[0]}]
set_property PACKAGE_PIN J4 [get_ports {pp_o[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[1]}]
set_property PACKAGE_PIN J5 [get_ports {pp_o[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports sfp0_scl_b]
set_property PACKAGE_PIN J10 [get_ports sfp0_scl_b]
set_property IOSTANDARD LVCMOS33 [get_ports sfp0_txdis_o]
set_property PACKAGE_PIN J11 [get_ports sfp0_txdis_o]
set_property IOSTANDARD LVCMOS33 [get_ports {pp_id_i[0]}]
set_property PACKAGE_PIN J14 [get_ports {pp_id_i[0]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[3]}]
set_property PACKAGE_PIN K3 [get_ports {pp_o[3]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[2]}]
set_property PACKAGE_PIN K4 [get_ports {pp_o[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports sfp0_modabs_i]
set_property PACKAGE_PIN K12 [get_ports sfp0_modabs_i]
set_property IOSTANDARD LVCMOS33 [get_ports sfp0_sda_b]
set_property PACKAGE_PIN K13 [get_ports sfp0_sda_b]
set_property IOSTANDARD LVCMOS33 [get_ports pp_rsvd_i]
set_property PACKAGE_PIN K14 [get_ports pp_rsvd_i]
set_property IOSTANDARD LVCMOS18 [get_ports helper_25m_i]
set_property PACKAGE_PIN L2 [get_ports helper_25m_i]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[4]}]
set_property PACKAGE_PIN L3 [get_ports {pp_o[4]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[5]}]
set_property PACKAGE_PIN L5 [get_ports {pp_o[5]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[6]}]
set_property PACKAGE_PIN N6 [get_ports {pp_o[6]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[7]}]
set_property PACKAGE_PIN P6 [get_ports {pp_o[7]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[9]}]
set_property PACKAGE_PIN P7 [get_ports {pp_o[9]}]
set_property PACKAGE_PIN R3 [get_ports sfp0_txn_o]
set_property PACKAGE_PIN R4 [get_ports sfp0_txp_o]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[10]}]
set_property PACKAGE_PIN R6 [get_ports {pp_o[10]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[8]}]
set_property PACKAGE_PIN R7 [get_ports {pp_o[8]}]
set_property PACKAGE_PIN T1 [get_ports sfp0_rxn_i]
set_property PACKAGE_PIN T2 [get_ports sfp0_rxp_i]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[11]}]
set_property PACKAGE_PIN T6 [get_ports {pp_o[11]}]
set_property PACKAGE_PIN U3 [get_ports bclk_b2_n_o]
set_property PACKAGE_PIN U4 [get_ports bclk_b2_p_o]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[12]}]
set_property PACKAGE_PIN U8 [get_ports {pp_o[12]}]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[15]}]
set_property PACKAGE_PIN U9 [get_ports {pp_o[15]}]
set_property PACKAGE_PIN V5 [get_ports wr_clk_sfp_125m_n_i]
set_property PACKAGE_PIN V6 [get_ports wr_clk_sfp_125m_p_i]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[13]}]
set_property PACKAGE_PIN V8 [get_ports {pp_o[13]}]
set_property PACKAGE_PIN W3 [get_ports bclk_b1_n_o]
set_property PACKAGE_PIN W4 [get_ports bclk_b1_p_o]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[14]}]
set_property PACKAGE_PIN W8 [get_ports {pp_o[14]}]
set_property IOSTANDARD LVCMOS33 [get_ports uart_rxd_i]
set_property PACKAGE_PIN W10 [get_ports uart_rxd_i]
set_property IOSTANDARD LVCMOS18 [get_ports {pp_o[25]}]
set_property PACKAGE_PIN Y8 [get_ports {pp_o[25]}]

# Extra
set_property IOSTANDARD LVCMOS33 [get_ports pp_led0_o]
set_property PACKAGE_PIN AB9 [get_ports pp_led0_o]
set_property IOSTANDARD LVCMOS33 [get_ports pp_led1_o]
set_property PACKAGE_PIN Y9 [get_ports pp_led1_o]
set_property IOSTANDARD LVCMOS33 [get_ports sfp_led_o]
set_property PACKAGE_PIN A10 [get_ports sfp_led_o]
set_property IOSTANDARD LVCMOS33 [get_ports fp_led_o]
set_property PACKAGE_PIN B14 [get_ports fp_led_o]
